# C++ Interoperability

Work with standard C++ types.


## Topics

### Boolean Values

- ``Cxx/CxxConvertibleToBool``

### Optional Values

- ``Cxx/CxxOptional``

### Collections

- ``Cxx/CxxDictionary``
- ``Cxx/CxxRandomAccessCollection``
- ``Cxx/CxxMutableRandomAccessCollection``
- ``Cxx/CxxVector``
- ``Cxx/CxxSet``
- ``Cxx/CxxUniqueSet``
- ``Cxx/CxxPair``
- ``Cxx/CxxConvertibleToCollection``

### Sequences

- ``Cxx/CxxSequence``
- ``Cxx/CxxIterator``
- ``Cxx/CxxSpan``
- ``Cxx/CxxMutableSpan``
- ``Cxx/UnsafeCxxContiguousIterator``
- ``Cxx/UnsafeCxxInputIterator``
- ``Cxx/UnsafeCxxMutableContiguousIterator``
- ``Cxx/UnsafeCxxMutableInputIterator``
- ``Cxx/UnsafeCxxMutableRandomAccessIterator``
- ``Cxx/UnsafeCxxRandomAccessIterator``

### Comparison Functions

- ``CxxStdlib/==(_:_:)``

